Update the fields of a preview file. Send only the fields to change. You must be in the team of the project of its task, or an administrator. If you are not a manager, the task must be assigned to you, or you must be a supervisor in the team with the department of the task type, or with no department. You cannot change id, created_at, updated_at and task_id. For a main preview (position 1), the new revision must be unique for the task. The extra previews of the same revision get the new revision too. Dates use the ISO 8601 format.
PUT
/data/preview-files/{instance_id}
curl
curl -X PUT "http://api.example.com/data/preview-files/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "updated_preview_file_v001",
"revision": 2
}'
import requests
url = "http://api.example.com/data/preview-files/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "updated_preview_file_v001",
"revision": 2
}
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "updated_preview_file_v001",
"revision": 2
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "updated_preview_file_v001",
"task_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"revision": 2,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}